<!DOCTYPE html>
<html>

<head>
    <title>WebSite</title>
    <link rel="stylesheet" href="bootstrap.css">
</head>

<body class="d-flex h-100 text-center text-white bg-dark">
    <div class="cover-container d-flex w-100 p-3 mx-auto flex-column">
        <header class="mb-auto">
            <div>
                <h3 class="float-md-left mb-0">WebSite</h3>
                <nav class="nav nav-masthead justify-content-center float-md-right">
                    <a href="/home" class="nav-link">Home</a>
                    <a href="/message" class="nav-link">Message</a>
                    <% if(admin == true) { %>
                    <a href="/new_grade" class="nav-link">New grade</a>
                    <% } %>
                    <a href="/grades" class="nav-link">Grades</a>
                    <% if(admin == true) { %>
                    <a href="#" class="nav-link active" aria-current="page">Admin</a>
                    <% } %>
                    <a href="/logout" class="nav-link">Logout</a>
                </nav>
            </div>
        </header>
        <main class="px-3">
            <div>
                <form class="col-md-6 offset-md-3" action="/admin_login" method="POST">
                    <label for="username">Username:</label>
                    <select class="form-control" name="username" id="username">
                        <option>Select user</option>
                        <% for(var i = 0; i < users.length; i++) { %>
                        <option><%= users[i].username %></option>
                        <% } %>
                    </select>
                    <div class="py-2">
                        <button type="submit" class="btn btn-outline-light text-gray">Submit</button>
                    </div>
            </div>
            <table class="table table-dark table-striped">
                <thead>
                    <tr>
                        <th>Index</th>
                        <th>Username</th>
                        <th>Date</th>
                    </tr>
                </thead>
                <tbody>
                    <% for(var i = login.length - 1; i >= 0; i--) {%>
                    <tr>
                        <td><%= i + 1 %> </td>
                        <td><%= login[i].username %> </td>
                        <td><%= login[i].last_login %></td>
                    </tr>
                    <% } %>
                </tbody>
            </table>
            <div>
                <form></form>
                <form action="/admin" method="GET">
                    <button type="submit" class="btn btn-outline-light text-gray">Back</button>
                </form>
            </div>
        </main>
    </div>

</body>

</html>